libepubgen::EPUBTextElements Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBTextElements Class Reference

`#include <EPUBTextElements.h>`

## Public Member Functions
| EPUBTextElements ()
| ~EPUBTextElements ()
void | append (const EPUBTextElements &elements)
void | write (librevenge::RVNGTextInterface *iface) const
void | addCloseComment ()
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addCloseParagraph ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseUnorderedListLevel ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertEquation (const librevenge::RVNGPropertyList &propList)
void | addInsertField (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenComment (const librevenge::RVNGPropertyList &propList)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
bool | empty () const

## Private Member Functions
| EPUBTextElements (const EPUBTextElements &)
EPUBTextElements & | operator= (const EPUBTextElements &)

## Private Attributes
std::deque< std::unique_ptr< EPUBTextElement > > | m_elements

## Constructor & Destructor Documentation

## ◆ EPUBTextElements() [1/2]

libepubgen::EPUBTextElements::EPUBTextElements | ( | const EPUBTextElements & |  | ) |
| private

## ◆ EPUBTextElements() [2/2]

libepubgen::EPUBTextElements::EPUBTextElements | ( |  | ) |

## ◆ ~EPUBTextElements()

libepubgen::EPUBTextElements::~EPUBTextElements | ( |  | ) |

## Member Function Documentation

## ◆ addCloseComment()

void libepubgen::EPUBTextElements::addCloseComment | ( |  | ) |

## ◆ addCloseEndnote()

void libepubgen::EPUBTextElements::addCloseEndnote | ( |  | ) |

## ◆ addCloseFooter()

void libepubgen::EPUBTextElements::addCloseFooter | ( |  | ) |

## ◆ addCloseFootnote()

void libepubgen::EPUBTextElements::addCloseFootnote | ( |  | ) |

## ◆ addCloseFrame()

void libepubgen::EPUBTextElements::addCloseFrame | ( |  | ) |

## ◆ addCloseHeader()

void libepubgen::EPUBTextElements::addCloseHeader | ( |  | ) |

## ◆ addCloseLink()

void libepubgen::EPUBTextElements::addCloseLink | ( |  | ) |

## ◆ addCloseListElement()

void libepubgen::EPUBTextElements::addCloseListElement | ( |  | ) |

## ◆ addCloseOrderedListLevel()

void libepubgen::EPUBTextElements::addCloseOrderedListLevel | ( |  | ) |

## ◆ addCloseParagraph()

void libepubgen::EPUBTextElements::addCloseParagraph | ( |  | ) |

## ◆ addCloseSpan()

void libepubgen::EPUBTextElements::addCloseSpan | ( |  | ) |

## ◆ addCloseTable()

void libepubgen::EPUBTextElements::addCloseTable | ( |  | ) |

## ◆ addCloseTableCell()

void libepubgen::EPUBTextElements::addCloseTableCell | ( |  | ) |

## ◆ addCloseTableRow()

void libepubgen::EPUBTextElements::addCloseTableRow | ( |  | ) |

## ◆ addCloseUnorderedListLevel()

void libepubgen::EPUBTextElements::addCloseUnorderedListLevel | ( |  | ) |

## ◆ addInsertBinaryObject()

void libepubgen::EPUBTextElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addInsertCoveredTableCell()

void libepubgen::EPUBTextElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addInsertEquation()

void libepubgen::EPUBTextElements::addInsertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addInsertField()

void libepubgen::EPUBTextElements::addInsertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addInsertLineBreak()

void libepubgen::EPUBTextElements::addInsertLineBreak | ( |  | ) |

## ◆ addInsertSpace()

void libepubgen::EPUBTextElements::addInsertSpace | ( |  | ) |

## ◆ addInsertTab()

void libepubgen::EPUBTextElements::addInsertTab | ( |  | ) |

## ◆ addInsertText()

void libepubgen::EPUBTextElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

## ◆ addOpenComment()

void libepubgen::EPUBTextElements::addOpenComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenEndnote()

void libepubgen::EPUBTextElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFooter()

void libepubgen::EPUBTextElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFootnote()

void libepubgen::EPUBTextElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFrame()

void libepubgen::EPUBTextElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenHeader()

void libepubgen::EPUBTextElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenLink()

void libepubgen::EPUBTextElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenListElement()

void libepubgen::EPUBTextElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenOrderedListLevel()

void libepubgen::EPUBTextElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenParagraph()

void libepubgen::EPUBTextElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenSpan()

void libepubgen::EPUBTextElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenTable()

void libepubgen::EPUBTextElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenTableCell()

void libepubgen::EPUBTextElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenTableRow()

void libepubgen::EPUBTextElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenUnorderedListLevel()

void libepubgen::EPUBTextElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ append()

void libepubgen::EPUBTextElements::append | ( | const EPUBTextElements & | elements | ) |

## ◆ empty()

bool libepubgen::EPUBTextElements::empty | ( |  | ) | const
| inline

## ◆ operator=()

EPUBTextElements & libepubgen::EPUBTextElements::operator= | ( | const EPUBTextElements & |  | ) |
| private

## ◆ write()

void libepubgen::EPUBTextElements::write | ( | librevenge::RVNGTextInterface * | iface | ) | const

## Member Data Documentation

## ◆ m_elements

std::deque<std::unique_ptr<EPUBTextElement> > libepubgen::EPUBTextElements::m_elements
| private

Referenced by addCloseComment(), addCloseEndnote(), addCloseFooter(), addCloseFootnote(), addCloseFrame(), addCloseHeader(), addCloseLink(), addCloseListElement(), addCloseOrderedListLevel(), addCloseParagraph(), addCloseSpan(), addCloseTable(), addCloseTableCell(), addCloseTableRow(), addCloseUnorderedListLevel(), addInsertBinaryObject(), addInsertCoveredTableCell(), addInsertEquation(), addInsertField(), addInsertLineBreak(), addInsertSpace(), addInsertTab(), addInsertText(), addOpenComment(), addOpenEndnote(), addOpenFooter(), addOpenFootnote(), addOpenFrame(), addOpenHeader(), addOpenLink(), addOpenListElement(), addOpenOrderedListLevel(), addOpenParagraph(), addOpenSpan(), addOpenTable(), addOpenTableCell(), addOpenTableRow(), addOpenUnorderedListLevel(), empty(), and write().

The documentation for this class was generated from the following files:

- EPUBTextElements.h
- EPUBTextElements.cpp